<?php
/*
 * @package AJAX_Chat
 * @author Sebastian Tschan
 * @copyright (c) Sebastian Tschan
 * @license GNU Affero General Public License
 * @link https://blueimp.net/ajax/
 */

define('AJAX_CHAT_PATH', __DIR__);
define('AJAX_CHAT_DEBUG', is_file(AJAX_CHAT_PATH . '/.debug'));

// Only show errors in debug mode:
if(AJAX_CHAT_DEBUG) {
    ini_set('display_errors', 'on');
    error_reporting(-1);
} else {
    ini_set('display_errors', 'off');
    error_reporting(0);
}

// Include Class libraries:
require_once AJAX_CHAT_PATH . '/src/AJAXChat.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatDataBase.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatMySQLiDataBase.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatMySQLiQuery.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatEncoding.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatString.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatFileSystem.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatHTTPHeader.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatLanguage.php';
require_once AJAX_CHAT_PATH . '/src/AJAXChatTemplate.php';
require_once AJAX_CHAT_PATH . '/src/SockChatAuth.php';
require_once AJAX_CHAT_PATH . '/src/CustomAJAXChat.php';
require_once AJAX_CHAT_PATH . '/src/CustomAJAXChatShoutBox.php';
require_once AJAX_CHAT_PATH . '/src/CustomAJAXChatInterface.php';
